@import url('https://fonts.googleapis.com/css?family=Muli:wght@400;700&display=swap');

*{
    box-sizing: border-box;
}
body{
    font-family: 'Muli', sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    height:100vh; 
    background-color: #eafbff;
    background-image: linear-gradient(to bottom, #eafbff 0%,#eafbff 50%,#5290f9 0%,#5290f9 100%);
}
nav{
    background-color: #fff;
    padding:20px;
    width:80px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 3px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.3);
    /* in hover effect only width wil be changed */
    transition:width 0.6s linear
}
nav.active{
    width:400px;
}
nav ul{
    display: flex;
    list-style-type:none;
    padding:0;
    margin:0;
    /* in non-hover shape, with is 0 */
    width:0;
    transition: widht 0.6x liner;
}
nav.active ul{
    width:100%;
}
nav ul li{
    transform: rotateY(0deg);
    opacity:0;
    /* how to add two transition in a single line withouth  */
    transition: transform 0.6s linear, opacity 0.6s liner;
}

nav ul li a,
.options{
    position: relative;
    color:#000 !important;
    text-decoration: none;
    margin:0 10px;
}

.icon{
    background-color: #fff;
    border:0;
    cursor: pointer;
    padding:0;
    position:relative;
    height:30px;
    width:30px;
}

.icon:focus{
    outline:0;
}
.icon .line{
    background-color: #5290f9;
    height: 2px;
    width: 20px;
    position: absolute;
    top:10px;
    left:5px;
    transition:transform 0.6s linear;
}
.icon .line2{
    top:auto;
    bottom: 10px;
}
nav.active .icon .line1{
    transform: rotate(-765deg) translateY(5.5px);
}
nav.active .icon .line2{
    transform: rotate(765deg) translateY(-5.5px);
} 